package edu.mermet.buttonup.vues;

import edu.mermet.buttonup.modele.Partie;
import org.junit.After;
import org.junit.Before;
import org.junit.Test;

import javax.swing.*;

import static org.junit.Assert.assertEquals;

public class TestPartieVue {
    JFrame fenetre;
    Partie partie;
    PartieVue partieVue;




    @Before
    public void setUp() throws Exception {
        SwingUtilities.invokeLater(new Runnable() {
            public void run() {
                fenetre = new JFrame("test pile vue");
                partie = new Partie();
                partieVue = new PartieVue(partie);
                fenetre.add(partieVue);
            }
        });
        Thread.sleep(500);
    }

    @After
    public void tearDown() throws Exception {fenetre.dispose();}

    @Test
    public void testZeroRouge(){
        assertEquals(Integer.toString(partie.getScoreRouge()), partieVue.getScoreRouge().getText());
    }

    @Test
    public void testZeroNoir(){
        assertEquals(Integer.toString(partie.getScoreNoir()), partieVue.getScoreNoir().getText());
    }

    @Test
    public void testScoreModifNoir(){
        partie.ajouterScore(3);
        assertEquals(Integer.toString(partie.getScoreNoir()), partieVue.getScoreNoir().getText());
    }

    @Test
    public void testScoreModifRouge(){
        partie.ajouterScore(-6);
        assertEquals(Integer.toString(partie.getScoreRouge()), partieVue.getScoreRouge().getText());
    }





}
